@extends('themes.base.layout')
@section('title', 'Welcome')

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}">Gallery</a></li>
                <li><a href="{{ $photo->album->url() }}">{{ $photo->album->name }}</a></li>
                <li class="active">{{ $photo->name }}</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>{{ $photo->name }}</h1>
                @if (strlen($photo->description) > 0)
                    <p>{{ $photo->description }}</p>
                @endif
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12 col-sm-8">
                <a href="{{ $photo->thumbnailUrl() }}"><img src="{{ $photo->thumbnailUrl('fullsize') }}" alt="" class="img-thumbnail"/></a>
            </div>

            <div class="col-xs-12 col-sm-4">
                <p>Information about this photo:</p>

                <table class="table table-striped photo-metadata">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Value</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="metadata_name">File name:</td>
                            <td class="metadata_value">{{ $photo->file_name }}</td>
                        </tr>

                        @if (strlen($photo->taken_at) > 0)
                            <tr>
                                <td class="metadata_name">Date taken:</td>
                                <td class="metadata_value">{{ date(UserConfig::get('date_format'), strtotime($photo->taken_at)) }}</td>
                            </tr>
                        @endif

                        @if (strlen($photo->camera_make) > 0)
                            <tr>
                                <td class="metadata_name">Camera make:</td>
                                <td class="metadata_value">{{ $photo->camera_make }}</td>
                            </tr>
                        @endif

                        @if (strlen($photo->camera_model) > 0)
                            <tr>
                                <td class="metadata_name">Camera model:</td>
                                <td class="metadata_value">{{ $photo->camera_model }}</td>
                            </tr>
                        @endif

                        @if (strlen($photo->camera_software) > 0)
                            <tr>
                                <td class="metadata_name">Camera software:</td>
                                <td class="metadata_value">{{ $photo->camera_software }}</td>
                            </tr>
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection